## org.eclipse.emf.cdo.common.revision.delta
Interface CDOFeatureDelta

All Known Subinterfaces:
  CDOAddFeatureDelta, CDOClearFeatureDelta, CDOContainerFeatureDelta, CDOListFeatureDelta, CDOMoveFeatureDelta, CDORemoveFeatureDelta, CDOSetFeatureDelta, CDOUnsetFeatureDelta

    public interface CDOFeatureDelta

Nested Class Summary
`static class` `CDOFeatureDelta.Type`

Method Summary
`void` `accept(CDOFeatureDeltaVisitor visitor)`
`void` `apply(CDORevision revision)`
`org.eclipse.emf.ecore.EStructuralFeature` `getFeature()`
`CDOFeatureDelta.Type` `getType()`

Method Detail

### getType

    CDOFeatureDelta.Type getType()

### getFeature

    org.eclipse.emf.ecore.EStructuralFeature getFeature()

  Since:
    2.0

### apply

    void apply(CDORevision revision)

### accept

    void accept(CDOFeatureDeltaVisitor visitor)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.